| Home | Libraries | People | FAQ | More

###### value::at (2 of 6 overloads)

Access an element, with bounds checking.

###### Synopsis

    value&&
    at(
        string_view key);

###### Description

This function is used to access elements of the underlying object, or throw an exception if the value is not an object.

###### Complexity

Constant.

###### Exception Safety

Strong guarantee.

###### Parameters

Name | Description
--- | ---
`key` | The key of the element to find.

###### Return Value

`this->as_object().at( key )`.